# Uses of Interface
org.eclipse.ecf.core.provider.IContainerInstantiator

Packages that use IContainerInstantiator
Package
Description
org.eclipse.ecf.core
org.eclipse.ecf.core.provider
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.remoteservice.provider
org.eclipse.ecf.remoteservice.rest.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IContainerInstantiator in org.eclipse.ecf.core

Classes in org.eclipse.ecf.core that implement IContainerInstantiator
Modifier and Type
Class
Description
`static class`
`BaseContainer.Instantiator`
Fields in org.eclipse.ecf.core declared as IContainerInstantiator
Modifier and Type
Field
Description
`protected IContainerInstantiator`
ContainerTypeDescription.`instantiator`
Methods in org.eclipse.ecf.core that return IContainerInstantiator
Modifier and Type
Method
Description
`protected IContainerInstantiator`
ContainerTypeDescription.`getInstantiator()`
Constructors in org.eclipse.ecf.core with parameters of type IContainerInstantiator
Modifier
Constructor
Description
``
`ContainerTypeDescription(String name, IContainerInstantiator instantiator)`
``
`ContainerTypeDescription(String name, IContainerInstantiator instantiator, String description)`
``
`ContainerTypeDescription(String name, IContainerInstantiator inst, String desc, boolean server, boolean hidden)`

## Uses of IContainerInstantiator in org.eclipse.ecf.core.provider

Classes in org.eclipse.ecf.core.provider that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`BaseContainerInstantiator`
Default implementation of `IContainerInstantiator`.
`class`
`BaseRemoteServiceContainerInstantiator`
Default implementation of `IRemoteServiceContainerInstantiator`.

## Uses of IContainerInstantiator in org.eclipse.ecf.provider.dnssd

Classes in org.eclipse.ecf.provider.dnssd that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`ContainerInstantiator`

## Uses of IContainerInstantiator in org.eclipse.ecf.provider.generic

Classes in org.eclipse.ecf.provider.generic that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`GenericContainerInstantiator`
`class`
`SSLGenericContainerInstantiator`

## Uses of IContainerInstantiator in org.eclipse.ecf.provider.jslp.container

Classes in org.eclipse.ecf.provider.jslp.container that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`ContainerInstantiator`

## Uses of IContainerInstantiator in org.eclipse.ecf.remoteservice.provider

Classes in org.eclipse.ecf.remoteservice.provider that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`PeerRemoteServiceContainerInstantiator`
`class`
`RemoteServiceContainerInstantiator`
Methods in org.eclipse.ecf.remoteservice.provider that return IContainerInstantiator
Modifier and Type
Method
Description
`protected IContainerInstantiator`
RemoteServiceDistributionProvider.`getInstantiator()`
Methods in org.eclipse.ecf.remoteservice.provider with parameters of type IContainerInstantiator
Modifier and Type
Method
Description
`RemoteServiceDistributionProvider.Builder`
RemoteServiceDistributionProvider.Builder.`setInstantiator(IContainerInstantiator instantiator)`
`protected RemoteServiceDistributionProvider`
RemoteServiceDistributionProvider.`setInstantiator(IContainerInstantiator instantiator)`
Constructors in org.eclipse.ecf.remoteservice.provider with parameters of type IContainerInstantiator
Modifier
Constructor
Description
`protected`
`RemoteServiceDistributionProvider(String name, IContainerInstantiator instantiator)`
`protected`
`RemoteServiceDistributionProvider(String name, IContainerInstantiator instantiator, String description)`
`protected`
`RemoteServiceDistributionProvider(String name, IContainerInstantiator instantiator, String description, boolean server)`

## Uses of IContainerInstantiator in org.eclipse.ecf.remoteservice.rest.client

Classes in org.eclipse.ecf.remoteservice.rest.client that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`RestClientContainerInstantiator`

## Uses of IContainerInstantiator in org.eclipse.ecf.remoteservice.servlet

Classes in org.eclipse.ecf.remoteservice.servlet that implement IContainerInstantiator
Modifier and Type
Class
Description
`class`
`ServletServerContainerInstantiator`